require File.dirname(__FILE__) + '/../../../../../spec_helper'
include OpenEHR::RM::DataTypes::Encapsulated
include OpenEHR::RM::DataTypes::Text
include OpenEHR::RM::DataTypes::Uri
include OpenEHR::RM::Support::Identification

describe DvMultimedia do
  before(:each) do
    media_type = stub(CodePhrase, :code_string => 'text/xml')
    charset = stub(CodePhrase, :code_string => 'UTF-8')
    uri = stub(DvUri, :value => 'http://openehr.jp/')
    data = Array['123412', '123112']
    @dv_multimedia = DvMultimedia.new(:value => '<xml>test</xml>',
                                      :media_type => media_type,
                                      :charset => charset,
                                      :uri => uri,
                                      :data => data)
  end

  it 'should be an instance of DvMultimedia' do
    @dv_multimedia.should be_an_instance_of DvMultimedia
  end

  it 's value should be <xml>test</xml>' do
    @dv_multimedia.value.should == '<xml>test</xml>'
  end

  it 's media_type should be text/xml' do
    @dv_multimedia.media_type.code_string.should == 'text/xml'
  end

  it 's size should be equal 15' do
    @dv_multimedia.size.should be_equal 15
  end

  it 's charset should be UTF-8' do
    @dv_multimedia.charset.code_string.should == 'UTF-8'
  end

  it 's uri value should be http://openehr.jp/ ' do
    @dv_multimedia.uri.value.should == 'http://openehr.jp/'
  end

  it 's data[0] should be 123412' do
    @dv_multimedia.data[0].should == '123412'
  end
end
